/integrations/admin/configs/{providerId}integrationsDelete a provider global config (admin)
Delete a record from configs by providerId.
Auth: bearerAuth — calls run as the authenticated user.
- providerIdpathstring
Deleted
No response body.
Problem Details (RFC 9457)
- typeoptionalstring
URI identifying the problem type; 'about:blank' when unspecified
- titlestring
Short, human-readable summary of the problem type
- statusinteger
HTTP status code, duplicated in the body
- detailoptionalstring
Explanation specific to this occurrence
- instanceoptionalstring
URI reference for this occurrence (the request path)
{
"type": "string",
"title": "string",
"status": 0,
"detail": "string",
"instance": "string"
}Problem Details (RFC 9457)
- typeoptionalstring
URI identifying the problem type; 'about:blank' when unspecified
- titlestring
Short, human-readable summary of the problem type
- statusinteger
HTTP status code, duplicated in the body
- detailoptionalstring
Explanation specific to this occurrence
- instanceoptionalstring
URI reference for this occurrence (the request path)
{
"type": "string",
"title": "string",
"status": 0,
"detail": "string",
"instance": "string"
}Problem Details (RFC 9457)
- typeoptionalstring
URI identifying the problem type; 'about:blank' when unspecified
- titlestring
Short, human-readable summary of the problem type
- statusinteger
HTTP status code, duplicated in the body
- detailoptionalstring
Explanation specific to this occurrence
- instanceoptionalstring
URI reference for this occurrence (the request path)
{
"type": "string",
"title": "string",
"status": 0,
"detail": "string",
"instance": "string"
}curl -X DELETE "https://api.agenticdeveloperhub.com/integrations/admin/configs/{providerId}" \
-H "Authorization: Bearer YOUR_TOKEN"const res = await fetch("https://api.agenticdeveloperhub.com/integrations/admin/configs/{providerId}", {
method: "DELETE",
headers: {
"Authorization": "Bearer YOUR_TOKEN"
},
});
const data = await res.json();